
using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums.BI;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static APT.MS.Domain.Enums.BI.BIEnums;

namespace APT.MS.Domain.Entities.BI
{
    /// <summary>
    /// 安全任务完成分析
    /// </summary>
    [Description("安全任务完成分析")]
    public class T_BI_SAFETASK_FINISH : MesEntityBase
    {
        [Description("班组名称")]
        [DataFieldForeignKey("Nav_Team")]
        public Guid TEAM_ID { get; set; }

        [Description("导航属性：班组名称")]
        public T_FM_TEAM Nav_Team { get; set; }

        /// <summary>
        /// 班组名称
        /// </summary>
        [Description("班组名称")]
        [DataFieldLength(50)]
        public string TEAM_NAME { get; set; }
        /// <summary>
        /// 班组负责人
        /// </summary>
        [Description("班组负责人")]
        [DataFieldLength(50)]
        public string TEAM_CHARGE_USER { get; set; }
        /// <summary>
        /// 所属部门
        /// </summary>
        [Description("所属部门")]
        [DataFieldLength(50)]
        public string DEPARTMENT_NAME { get; set; }
        /// <summary>
        /// 班前会议
        /// </summary>
        [Description("总记录")]
        public int FO01_TOTAL { get; set; }
        /// <summary>
        /// 班前会议
        /// </summary>
        [Description("已完成")]
        public int FO01_FINISH { get; set; }
        /// <summary>
        /// 班前会议
        /// </summary>
        [Description("未完成")]
        public int FO01_UNFINISH { get; set; }
        /// <summary>
        /// 班前会议
        /// </summary>
        [Description("超时数")]
        public int FO01_OVERTIME { get; set; }
        
        /// <summary>
        /// 当班工作记录
        /// </summary>
        [Description("总记录")]
        public int FO02_TOTAL { get; set; }
        /// <summary>
        /// 当班工作记录
        /// </summary>
        [Description("已完成")]
        public int FO02_FINISH { get; set; }
        /// <summary>
        /// 当班工作记录
        /// </summary>
        [Description("未完成")]
        public int FO02_UNFINISH { get; set; }
        /// <summary>
        /// 当班工作记录
        /// </summary>
        [Description("超时数")]
        public int FO02_OVERTIME { get; set; }

        /// <summary>
        /// 岗位交接班
        /// </summary>
        [Description("总记录")]
        public int FO03_TOTAL { get; set; }
        /// <summary>
        /// 岗位交接班
        /// </summary>
        [Description("已完成")]
        public int FO03_FINISH { get; set; }
        /// <summary>
        /// 岗位交接班
        /// </summary>
        [Description("未完成")]
        public int FO03_UNFINISH { get; set; }
        /// <summary>
        /// 岗位交接班
        /// </summary>
        [Description("超时数")]
        public int FO03_OVERTIME { get; set; }

        /// <summary>
        /// 安全活动
        /// </summary>
        [Description("总记录")]
        public int FO04_TOTAL { get; set; }
        /// <summary>
        /// 安全活动
        /// </summary>
        [Description("已完成")]
        public int FO04_FINISH { get; set; }
        /// <summary>
        /// 安全活动
        /// </summary>
        [Description("未完成")]
        public int FO04_UNFINISH { get; set; }
        /// <summary>
        /// 安全活动
        /// </summary>
        [Description("超时数")]
        public int FO04_OVERTIME { get; set; }
        /// <summary>
        /// 查询范围
        /// </summary>
        [Description("查询范围")]
        [EnumName("FiliterTimeType")]
        public FilterTimeType FILTER_TIME { get; set; }
        /// <summary>
        /// 开始时间
        /// </summary>
        [Description("开始时间")]
        public DateTime STARTTIME { get; set; }
        /// <summary>
        /// 结束时间
        /// </summary>
        [Description("结束时间")]
        public DateTime ENDTIME { get; set; }
    }
}
